Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages

### - f -

- FastCharStream() : Lucene::FastCharStream
- fastClear() : Lucene::BitSet , Lucene::OpenBitSet , Lucene::BitSet
- fastFlip() : Lucene::OpenBitSet , Lucene::BitSet
- fastGet() : Lucene::BitSet , Lucene::OpenBitSet
- fastSet() : Lucene::BitSet , Lucene::OpenBitSet , Lucene::BitSet
- Field() : Lucene::Field
- field() : Lucene::Term
- FIELD_DOC() : Lucene::SortField
- FIELD_INFOS_EXTENSION() : Lucene::IndexFileNames
- FIELD_SCORE() : Lucene::SortField
- FieldCacheEntryImpl() : Lucene::FieldCacheEntryImpl
- FieldCacheImpl() : Lucene::FieldCacheImpl
- FieldCacheRangeFilter() : Lucene::FieldCacheRangeFilter
- FieldCacheSanityChecker() : Lucene::FieldCacheSanityChecker
- FieldCacheSource() : Lucene::FieldCacheSource
- FieldCacheTermsFilter() : Lucene::FieldCacheTermsFilter
- FieldDoc() : Lucene::FieldDoc
- FieldDocSortedHitQueue() : Lucene::FieldDocSortedHitQueue
- FieldInfo() : Lucene::FieldInfo
- fieldInfo() : Lucene::FieldInfos
- FieldInfos() : Lucene::FieldInfos
- fieldInfos() : Lucene::SegmentReader
- FieldInvertState() : Lucene::FieldInvertState
- FieldMaskingSpanQuery() : Lucene::FieldMaskingSpanQuery
- fieldName() : Lucene::FieldInfos
- FieldNormStatus() : Lucene::FieldNormStatus
- fieldNumber() : Lucene::FieldInfos
- fields() : Lucene::DocFieldProcessorPerThread
- FIELDS_EXTENSION() : Lucene::IndexFileNames
- FIELDS_INDEX_EXTENSION() : Lucene::IndexFileNames
- FieldScoreQuery() : Lucene::FieldScoreQuery
- FieldSelector() : Lucene::FieldSelector
- FieldSortedTermVectorMapper() : Lucene::FieldSortedTermVectorMapper
- FieldsReader() : Lucene::FieldsReader
- FieldsWriter() : Lucene::FieldsWriter
- FieldValueHitQueue() : Lucene::FieldValueHitQueue
- FieldValueHitQueueEntry() : Lucene::FieldValueHitQueueEntry
- FileEntry() : Lucene::CompoundFileReader::FileEntry
- fileExists() : Lucene::CompoundFileReader , Lucene::Directory , Lucene::FileSwitchDirectory , Lucene::FSDirectory , Lucene::RAMDirectory
- fileLength() : Lucene::CompoundFileReader , Lucene::Directory , Lucene::FileSwitchDirectory , Lucene::FSDirectory , Lucene::RAMDirectory
- fileModified() : Lucene::CompoundFileReader , Lucene::Directory , Lucene::FileSwitchDirectory , Lucene::FSDirectory , Lucene::RAMDirectory
- fileNameFromGeneration() : Lucene::IndexFileNames
- FileReader() : Lucene::FileReader
- files() : Lucene::NormsWriter , Lucene::SegmentInfo , Lucene::SegmentInfos , Lucene::SegmentReader
- FileSwitchDirectory() : Lucene::FileSwitchDirectory
- fill() : Lucene::StoredFieldsWriter , Lucene::TermVectorsTermsWriter
- fillCache() : Lucene::CachingTokenFilter
- fillFields() : Lucene::FieldValueHitQueue
- fillLower() : Lucene::CharFolder
- fillUpper() : Lucene::CharFolder
- FilteredDocIdSet() : Lucene::FilteredDocIdSet
- FilteredDocIdSetIterator() : Lucene::FilteredDocIdSetIterator
- FilteredQuery() : Lucene::FilteredQuery
- FilterIndexReader() : Lucene::FilterIndexReader
- FilterManager() : Lucene::FilterManager
- FilterTermDocs() : Lucene::FilterTermDocs
- FilterTermEnum() : Lucene::FilterTermEnum
- FilterTermPositions() : Lucene::FilterTermPositions
- find() : Lucene::Collection< TYPE > , Lucene::HashMap< KEY, VALUE, HASH, EQUAL > , Lucene::HashSet< TYPE, HASH, EQUAL > , Lucene::Map< KEY, VALUE, LESS > , Lucene::SegmentInfoCollection , Lucene::Set< TYPE, LESS >
- find_if() : Lucene::Collection< TYPE >
- findMerges() : Lucene::LogMergePolicy , Lucene::MergePolicy
- findMergesForOptimize() : Lucene::LogMergePolicy , Lucene::MergePolicy
- findMergesToExpungeDeletes() : Lucene::LogMergePolicy , Lucene::MergePolicy
- finish() : Lucene::InvertedDocConsumerPerField , Lucene::InvertedDocEndConsumerPerField , Lucene::NormsWriterPerField , Lucene::FormatPostingsDocsConsumer , Lucene::StoredFieldsWriterPerDoc , Lucene::TermsHashConsumerPerField , Lucene::TermsHashPerField , Lucene::TermVectorsTermsWriterPerDoc , Lucene::FormatPostingsPositionsConsumer , Lucene::FreqProxTermsWriterPerField , Lucene::TermVectorsTermsWriterPerField , Lucene::DocFieldConsumersPerDoc , Lucene::DocFieldProcessorPerThreadPerDoc , Lucene::DocWriter , Lucene::SkipDocWriter , Lucene::FormatPostingsDocsWriter , Lucene::FormatPostingsFieldsConsumer , Lucene::FormatPostingsFieldsWriter , Lucene::FormatPostingsPositionsWriter , Lucene::FormatPostingsTermsConsumer , Lucene::FormatPostingsTermsWriter
- finishAddIndexes() : Lucene::IndexWriter
- finishCommit() : Lucene::ChecksumIndexOutput , Lucene::IndexWriter , Lucene::SegmentInfos
- finishDocument() : Lucene::DocFieldConsumerPerThread , Lucene::DocFieldConsumersPerThread , Lucene::DocInverterPerThread , Lucene::FreqProxTermsWriterPerThread , Lucene::InvertedDocConsumerPerThread , Lucene::InvertedDocEndConsumerPerThread , Lucene::NormsWriterPerThread , Lucene::StoredFieldsWriter , Lucene::StoredFieldsWriterPerThread , Lucene::TermsHashConsumerPerThread , Lucene::TermVectorsTermsWriter , Lucene::TermVectorsTermsWriterPerThread , Lucene::DocumentsWriter , Lucene::TermsHashPerThread
- finishMerges() : Lucene::IndexWriter
- finishSync() : Lucene::IndexWriter
- FIRST_LEVEL_SIZE() : Lucene::ByteBlockPool
- firstPosition() : Lucene::PhrasePositions
- firstToLast() : Lucene::PhraseScorer , Lucene::NearSpansUnordered
- fixIndex() : Lucene::CheckIndex
- FlagsAttribute() : Lucene::FlagsAttribute
- flip() : Lucene::OpenBitSet , Lucene::SloppyPhraseScorer , Lucene::BitSet
- flipAndGet() : Lucene::OpenBitSet
- flush() : Lucene::IndexWriter , Lucene::DocFieldConsumers , Lucene::DocConsumer , Lucene::BufferedIndexOutput , Lucene::FreqProxTermsWriter , Lucene::FieldsWriter , Lucene::ChecksumIndexOutput , Lucene::DocFieldConsumer , Lucene::DocumentsWriter , Lucene::IndexReader , Lucene::InvertedDocEndConsumer , Lucene::RAMOutputStream , Lucene::TermsHash , Lucene::DocFieldProcessor , Lucene::InvertedDocConsumer , Lucene::TermsHashConsumer , Lucene::StoredFieldsWriter , Lucene::TermVectorsTermsWriter , Lucene::NormsWriter , Lucene::DocInverter , Lucene::IndexReader , Lucene::IndexOutput
- flushBuffer() : Lucene::BufferedIndexOutput
- flushDocStores() : Lucene::IndexWriter
- flushDocument() : Lucene::FieldsWriter
- foldToASCII() : Lucene::ASCIIFoldingFilter
- FormatPostingsDocsWriter() : Lucene::FormatPostingsDocsWriter
- FormatPostingsFieldsWriter() : Lucene::FormatPostingsFieldsWriter
- FormatPostingsPositionsWriter() : Lucene::FormatPostingsPositionsWriter
- FormatPostingsTermsWriter() : Lucene::FormatPostingsTermsWriter
- free() : Lucene::TermVectorsTermsWriter , Lucene::StoredFieldsWriter
- freePerDoc() : Lucene::DocFieldProcessorPerThread , Lucene::DocFieldConsumers
- freeRAM() : Lucene::DocFieldProcessor , Lucene::InvertedDocConsumer , Lucene::NormsWriterPerThread , Lucene::DocFieldConsumers , Lucene::StoredFieldsWriter , Lucene::TermsHash , Lucene::DocInverter , Lucene::DocConsumer , Lucene::DocFieldConsumer , Lucene::TermVectorsTermsWriter
- freq() : Lucene::AbstractAllTermDocs , Lucene::SegmentTermDocs , Lucene::TermDocs , Lucene::MultiTermDocs , Lucene::MultipleTermPositions , Lucene::FilterTermDocs
- FREQ_EXTENSION() : Lucene::IndexFileNames
- freqPointer() : Lucene::SegmentTermEnum
- FreqProxFieldMergeState() : Lucene::FreqProxFieldMergeState
- FreqProxTermsWriterPerField() : Lucene::FreqProxTermsWriterPerField
- FreqProxTermsWriterPerThread() : Lucene::FreqProxTermsWriterPerThread
- FreqProxTermsWriterPostingList() : Lucene::FreqProxTermsWriterPostingList
- freqStream() : Lucene::SegmentTermDocs
- FSDirectory() : Lucene::FSDirectory
- FSLockFactory() : Lucene::FSLockFactory
- FuzzyQuery() : Lucene::FuzzyQuery
- FuzzyTermEnum() : Lucene::FuzzyTermEnum

clucene.sourceforge.net